Bug 1123687 - [abrt] xmms: snd_pcm_frames_to_bytes(): xmms killed by SIGABRT
Summary: [abrt] xmms: snd_pcm_frames_to_bytes(): xmms killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:52f63ebdf1b374daed84e2ed5bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 23:43 UTC by Robin Laing
Modified: 2015-02-18 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:33 UTC


Attachments (Terms of Use)
File: backtrace (16.21 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: cgroup (156 bytes, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: core_backtrace (9.81 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: dso_list (6.00 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: environ (3.24 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: maps (27.56 KB, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: open_fds (492 bytes, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details
File: proc_pid_status (998 bytes, text/plain)
2014-07-27 23:43 UTC, Robin Laing
no flags Details

Description Robin Laing 2014-07-27 23:43:44 UTC
Description of problem:
JJust playing music with XMMS.  Song may have been either mp3 or flac.  Most likely flac.

Version-Release number of selected component:
xmms-1.2.11-20.20071117cvs.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/xmms -e -p
crash_function: snd_pcm_frames_to_bytes
executable:     /usr/libexec/xmms
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Jul 27 17:39:17 eagle1 abrt-hook-ccpp[14808]: Saved core dump of pid 14241 (/usr/libexec/xmms) to /var/tmp/abrt/ccpp-2014-07-27-17:39:17-14241 (39436288 bytes)

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 snd_pcm_frames_to_bytes at pcm.c:1984
 #5 alsa_get_output_time at audio.c:552
 #6 idle_func at main.c:3611
 #9 g_main_iterate at gmain.c:877
 #10 g_main_run at gmain.c:935
 #11 gtk_main at gtkmain.c:524

Potential duplicate: bug 1097905

Comment 1 Robin Laing 2014-07-27 23:43:46 UTC
Created attachment 921604 [details]
File: backtrace

Comment 2 Robin Laing 2014-07-27 23:43:47 UTC
Created attachment 921605 [details]
File: cgroup

Comment 3 Robin Laing 2014-07-27 23:43:48 UTC
Created attachment 921606 [details]
File: core_backtrace

Comment 4 Robin Laing 2014-07-27 23:43:49 UTC
Created attachment 921607 [details]
File: dso_list

Comment 5 Robin Laing 2014-07-27 23:43:50 UTC
Created attachment 921608 [details]
File: environ

Comment 6 Robin Laing 2014-07-27 23:43:51 UTC
Created attachment 921609 [details]
File: limits

Comment 7 Robin Laing 2014-07-27 23:43:52 UTC
Created attachment 921610 [details]
File: maps

Comment 8 Robin Laing 2014-07-27 23:43:53 UTC
Created attachment 921611 [details]
File: open_fds

Comment 9 Robin Laing 2014-07-27 23:43:54 UTC
Created attachment 921612 [details]
File: proc_pid_status

Comment 10 Fedora End Of Life 2015-01-09 21:28:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-18 11:47:33 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.